## sqlitedict 2.0.0

=== debian/changelog ===
sqlitedict (2.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 09 Aug 2022 15:42:31 +0100

sqlitedict (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1016202)

 -- Edward Betts <edward@4angle.com>  Sun, 31 Jul 2022 09:24:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sqlitedict
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf sqlitedict.egg-info/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
	for dir in $(BUILD_DIR); do \
		cp -r tests $$dir ; \
	mkdir $$dir/tests/db ; \
	done
	dh_auto_test
	for dir in $(BUILD_DIR); do \
		rm -r $$dir/tests ; \
	done
endif

## sqlitedict 2.1.0

=== Makefile ===
test-all:
	@ echo '- removing old data'
	@ rm -f -R tests/db/
	@ echo '- creating new tests/db/ (required for tests)'
	@ mkdir -p tests/db
	@ nosetests --cover-package=sqlitedict --verbosity=1 --cover-erase  -l DEBUG

test-all-with-coverage:
	@ echo '- removing old data'
	@ rm -f -R tests/db/
	@ echo '- creating new tests/db/ (required for tests)'
	@ mkdir -p tests/db
	@ nosetests --cover-package=sqlitedict --verbosity=1 --cover-erase --with-coverage -l DEBUG

=== debian/changelog ===
sqlitedict (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 06 Dec 2022 10:07:35 +0000

sqlitedict (2.0.0-3) unstable; urgency=medium

  * Fix autotestpkg to run test for two versions of Python. (Closes: #1025190)

 -- Edward Betts <edward@4angle.com>  Fri, 02 Dec 2022 10:02:51 +0000

=== debian/control ===
Source: sqlitedict
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/piskvorky/sqlitedict
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlitedict
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlitedict.git

Package: python3-sqlitedict
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Persistent dict in Python, backed up by sqlite3 and pickle, multithread-safe
 A lightweight wrapper around Python's sqlite3 database with a simple, Pythonic
 dict-like interface and support for multi-thread access:
 .
 By default, sqlitedict's exception handling favors verbosity over efficiency.
 It extracts and outputs the outer exception stack to the error logs.
 .
 Features include:
 .
  * Values can be any picklable objects (uses 'pickle' with the highest
    protocol).
  * Support for multiple tables (=dicts) living in the same database file.
  * Support for access from multiple threads to the same connection (needed by
    e.g. Pyro).
  * Support for custom serialization or compression:

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
 	for dir in $(BUILD_DIR); do \
 		cp -r tests $$dir ; \
-	mkdir $$dir/tests/db ; \
+		mkdir $$dir/tests/db ; \
 	done
 	dh_auto_test
 	for dir in $(BUILD_DIR); do \

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sqlitedict-$1\.tar\.gz/ \
  https://github.com/piskvorky/sqlitedict/tags .*/v?(\d\S+)\.tar\.gz
